Update an Interface
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
If entry ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/if-entries/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b", "if_descr": "string", "network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3" }'{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"data": {
"host_id": "eb4e20fc-2b4a-4d0c-811f-48abcf12b89b",
"if_descr": "string",
"network_id": "d6797cf4-42b9-4cad-8591-9dd91c3f0fc3",
"admin_status": null,
"cdp_address": "192.168.1.1",
"cdp_device_id": "string",
"cdp_platform": "string",
"cdp_port_id": "string",
"fdb_macs": [
"string"
],
"if_alias": "string",
"if_index": 0,
"if_name": "string",
"if_type": 0,
"ip_address_id": "8023e300-4385-4d10-949a-4bc68dd26ff9",
"lldp_chassis_id": null,
"lldp_mgmt_addr": "192.168.1.1",
"lldp_port_desc": "string",
"lldp_port_id": null,
"lldp_sys_desc": "string",
"lldp_sys_name": "string",
"mac_address": "a4:bb:6d:12:34:56",
"mac_address_source": "Unspecified",
"native_vlan_id": "7e2565a5-5e7c-42fe-bac1-1e159750d33c",
"neighbor": null,
"neighbor_seen_at": "2019-08-24T14:15:22Z",
"oper_status": null,
"speed_bps": 0,
"vlan_ids": [
"9d54a8f0-0127-444f-984f-03be3c3bb00d"
],
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z",
"first_discovery_id": "6902465b-102c-46e4-8f8c-33ac44cf66e9",
"last_discovery_id": "48da132e-8b2a-4a5e-9c95-ecca249347f8",
"last_seen_at": "2019-08-24T14:15:22Z",
"lineage_id": "29b62bee-90fd-477a-963b-7a89d5ffca9a",
"valid_from": "2019-08-24T14:15:22Z",
"valid_to": "2019-08-24T14:15:22Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.17.13"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}